Bug 716539 - bump domain memory limits [6.1.z]
bump domain memory limits [6.1.z]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
Unspecified Unspecified
urgent Severity medium
: rc
: ---
Assigned To: Frantisek Hrbata
Red Hat Kernel QE team
: ZStream
: 716911 (view as bug list)
Depends On: 669739
Blocks: 716911
  Show dependency treegraph
 
Reported: 2011-06-24 16:10 EDT by Ken Reilly
Modified: 2011-08-26 09:40 EDT (History)
17 users (show)

See Also:
Fixed In Version: kernel-2.6.32-131.7.1.el6
Doc Type: Bug Fix
Doc Text:
Memory limit for x86_64 domU PV guests has been increased to 128 GB: CONFIG_XEN_MAX_DOMAIN_MEMORY=128.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-23 10:44:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 4 Andrew Jones 2011-07-20 05:22:37 EDT
See testing comments in bug 716911
Comment 5 Andrew Jones 2011-07-20 05:23:45 EDT
*** Bug 716911 has been marked as a duplicate of this bug. ***
Comment 7 Qin Guan 2011-08-08 05:49:51 EDT
Verify the fix, no regression issue found.

Host:
kernel-xen-2.6.18-274.el5
xen-3.0.3-132.el5
xen-libs-3.0.3-132.el5

Guest:
kernel: 2.6.32-131.12.1.el6

Test on i386 and x86_64 PV guest with below memory/cpu set:
512M UP/SMP
16G UP/SMP
32G UP/SMP
70G UP/SMP
128G UP/SMP

Cases including:
1. Guest startup/pause/unpause/reboot/shutdown
2. mem-set/mem-max, the knownissue rhbz#523122 still exists
3. regular/live/ping-pong migration
 The live migration with 128G memory will get error, a seprated bug rhbz#728877 to trace it.
4. vcpu list/set/pin/overcommit

TCMS links:
https://tcms.engineering.redhat.com/run/24416/
http://tcms.engineering.redhat.com/run/24490/
https://tcms.engineering.redhat.com/run/24417/
https://tcms.engineering.redhat.com/run/24420/
https://tcms.engineering.redhat.com/run/24421/
https://tcms.engineering.redhat.com/run/24422/
https://tcms.engineering.redhat.com/run/24423/
https://tcms.engineering.redhat.com/run/24418/
https://tcms.engineering.redhat.com/run/24419/
Comment 8 errata-xmlrpc 2011-08-23 10:44:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1189.html
Comment 9 Martin Prpic 2011-08-26 09:40:22 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Memory limit for x86_64 domU PV guests has been increased to 128 GB: CONFIG_XEN_MAX_DOMAIN_MEMORY=128.

Note You need to log in before you can comment on or make changes to this bug.